#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define WORD_BUFLEN 20
#define SET_MAXNUM 12000

char
words_a[SET_MAXNUM][WORD_BUFLEN];
int
size_a;

void
readset_a(void) {
	size_a = 0;
	while (
		fgets(words_a[size_a], WORD_BUFLEN, stdin) &&
		1 < strlen(words_a[size_a])
	) {
		size_a++;
		if (SET_MAXNUM <= size_a)
			exit(1);
	}
}

int
order_a[SET_MAXNUM];
int
merge_buf[SET_MAXNUM];

void
merge(int start, int mid, int end) {
	int p = start, q = mid, r = 0, k;
	while (p < mid && q < end)
		if (strcmp(words_a[order_a[p]], words_a[order_a[q]]) < 0)
			merge_buf[r++] = order_a[p++];
		else
			merge_buf[r++] = order_a[q++];
	if (p < mid)
		for (k = mid - 1; p <= k; k--)
			order_a[end - mid + k] = order_a[k];
	for (k = 0; k < r; k++)
		order_a[start + k] = merge_buf[k];
}

void
sort_part(int start, int end) {
	if (end <= start + 1)
		return;
	int mid = start + (end - start)/2;
	sort_part(start, mid);
	sort_part(mid, end);
	merge(start, mid, end);
}

void
sort(void) {
	int i;
	for (i = 0; i < size_a; i++)
		order_a[i] = i;
	sort_part(0, size_a);
}

char
word_b[WORD_BUFLEN];

int
search(void) {
	int start = 0, end = size_a, mid;
	int cmp;
	while (start < end) {
		mid = start + (end - start)/2;
		cmp = strcmp(word_b, words_a[order_a[mid]]);
		if (cmp < 0)
			end = mid;
		else if (0 < cmp)
			start = mid + 1;
		else
			return 1;
	}
	return 0;
}

int
main(void) {
	readset_a();
	sort();
	while (fgets(word_b, WORD_BUFLEN, stdin))
		if (!search())
			fputs(word_b, stdout);
	return 0;
}
