#include <stdio.h>
#include <stdlib.h>

#define FIELD_HEIGHT 10
#define FIELD_WIDTH 20
#define WORM_LENGTH 9
#define WORM_STARTROW 5
#define STEPS_NUM 250

char
field[FIELD_HEIGHT][FIELD_WIDTH];
int
worm_row[STEPS_NUM];
int
worm_col[STEPS_NUM];
int
worm_dir;
int
worm_index;

void
start(void) {
	int r, c;
	for (r = 0; r < FIELD_HEIGHT; r++)
		for (c = 0; c < FIELD_WIDTH; c++)
			field[r][c] = 0;
	for (c = 0; c < WORM_LENGTH; c++) {
		worm_row[c] = WORM_STARTROW;
		worm_col[c] = c;
		field[WORM_STARTROW][c] = 1;
	}
	worm_index = WORM_LENGTH;
	worm_dir = 0;
}

int
move(int rot) {
	int row, col;
	field[worm_row[worm_index - WORM_LENGTH]][worm_col[worm_index - WORM_LENGTH]] = 0;
	worm_dir = worm_dir + rot;
	if (worm_dir < 0) 
		worm_dir += 4;
	else if (4 <= worm_dir)
		worm_dir -= 4;
	row = worm_row[worm_index - 1];
	col = worm_col[worm_index - 1];
	switch (worm_dir) {
		case 0: col++; break;
		case 1: row--; break;
		case 2: col--; break;
		case 3: row++; break;
		default: exit(1);
	}
	if (
		0 <= row && row < FIELD_HEIGHT && 0 <= col && col < FIELD_WIDTH &&
		!field[row][col]
	) {
		worm_row[worm_index] = row;
		worm_col[worm_index] = col;
		field[row][col] = 1;
		worm_index++;
		return 1;
	} else {
		return 0;
	}
}

int
main(void) {
	int control;
	int nr_steps = 0;
	start();
	do {
		if (1 != scanf("%d", &control))
			exit(1);
		nr_steps++;
	} while (move(control));
	printf("%d\n", nr_steps);
	return 0;
}
